from setuptools import setup, find_packages

setup(
    name="neuroflex",
    version="0.0.1",
    author="kasinadhsarma",
    author_email="kasinadhsarma@gmail.com",
    description="An advanced neural network framework with interpretability, generalization, robustness, and fairness features",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/VishwamAI/neuroflex",
    packages=find_packages(),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
    ],
    python_requires=">=3.8",
    install_requires=[
        "jax==0.4.10",
        "jaxlib==0.4.10",
        "ml_dtypes==0.2.0",
        "flax==0.7.2",
        "optax==0.1.7",
        "tensorflow-cpu==2.16.1",
        "keras==3.5.0",
        "gym==0.26.2",
        "pytest==7.4.0",
        "flake8==6.0.0",
        "numpy==1.24.3",
        "scipy==1.10.1",
        "matplotlib==3.7.1",
        "aif360==0.5.0",
        "packaging==23.1",
        "gast==0.6.0",
        "wrapt==1.16.0",
        "pennylane==0.32.0",
        "ibm-watson-machine-learning>=1.0.257",
        "scikit-learn>=1.2.2",
        "pandas>=2.0.2",
        "adversarial-robustness-toolbox>=1.15.0",
        "lale>=0.7.0",
        "qutip>=4.7.1",
        "pyquil>=3.5.4",
        "qiskit>=0.43.0",
        "biopython>=1.81",
        "scikit-bio>=0.5.8",
        "ete3>=3.1.2",
        "xarray>=2023.5.0",
        "torch>=2.0.1",
        "alphafold==2.0.0",
    ],
)
